<?php get_header() ?>

<div class="page__title">
	<div class="container">
		<div class="title__breadcrumbs__container flx">
			<h1><?php the_title(); ?></h1>
			<?php if ( function_exists( 'ghost_lite_the_breadcrumb' ) ) ghost_lite_the_breadcrumb(); ?>
		</div>
	</div>
</div>

<div class="blog__loop">
	<div class="container">
		<div class="main__content__container sidebar__<?php echo esc_attr(get_theme_mod( 'ghost_sidebar_single_side_setting', 'right' )) ?> flx">

			<div class="article__container single">

				<?php if ( have_posts() ) : ?>

					<?php while ( have_posts() ): the_post(); ?>

						<?php get_template_part( 'template-parts/content', 'single' ); ?>

					<?php endwhile; ?>
					
				<?php endif; ?>

				<!--
					About author section
				-------------------------------------->
				<?php if ( get_theme_mod('enable_author_box_setting', true) == true ): ?>
					<div class="author__bio flx">

						<div class="gravatar">
							<?php
							$alt_author_img = esc_html__('Author of the post', 'ghost-lite') . ' ' . get_the_author_meta('nickname');
							$def_author_img = '';
							echo get_avatar( get_the_author_meta('ID'), 72, $def_author_img, $alt_author_img );
							?>
						</div><!-- /.gravatar -->

						<div class="author__info">
							<?php if ( get_the_author_meta( 'description' ) != '' ): ?>
								<p class="about__author__title"><?php echo esc_html__( 'About', 'ghost-lite' ) . ' ' . esc_html(get_the_author_meta('nickname')) ?></p>
								<p class="author__bio__content"><?php echo esc_html(get_the_author_meta( 'description' )); ?></p>
							<?php else: ?>
								<p class="about__author__title"><?php echo esc_html__( 'Author', 'ghost-lite' ) . ' ' . esc_html(get_the_author_meta('nickname')) ?></p>
							<?php endif; ?>
						</div><!-- /.author__info -->

						<?php if ( get_theme_mod('enable_author_recent_posts_setting', true) == true ): ?>

							<?php
								$posts_to_display = get_theme_mod( 'author_recent_posts_qty_setting', 3 );
								$otherAuthorPosts = new WP_Query( array(
									'author'          => get_the_author_meta('ID'),
									'posts_per_page'  => $posts_to_display,
									'post_status'     => 'publish',
									'post__not_in'    => array( get_the_ID() )
								) );
							?>
							<?php if ( $otherAuthorPosts->have_posts() ): ?>
								<div class="author__posts__container">
									<p class="other__author__posts__title"><?php esc_html_e( 'Other posts by this author', 'ghost-lite' ) ?></p>
									<ul class="recent__post__list">
										<?php while ( $otherAuthorPosts->have_posts() ): $otherAuthorPosts->the_post(); ?>

											<li class="flx">
												<?php if ( has_post_thumbnail() ): ?>
													<a href="<?php the_permalink() ?>" class="thumb"><?php the_post_thumbnail('thumbnail'); ?></a>
												<?php endif; ?>
												<div class="recent__post__info flx">
													<h4 class="recent__post__title">
														<a href="<?php the_permalink() ?>" class="recent__post__link"><?php the_title() ?></a>
													</h4>
													<time class="recent__posts__time"><?php echo esc_html(get_the_date()) ?></time>
												</div>
											</li>

										<?php endwhile; ?>
									</ul><!-- /.recent__post__list -->

									<?php if ( count_user_posts( get_the_author_meta('ID') ) > $posts_to_display ): ?>
										<a class="btn ghost__flat" href="<?php echo esc_html(get_author_posts_url(get_the_author_meta('ID'))) ?>" rel="author">
											<?php echo esc_html__( 'View all posts by', 'ghost-lite' ) . ' ' . esc_html(get_the_author_meta('nickname')) ?>
										</a>
									<?php endif; ?>

								</div><!-- /.author__posts__container -->
							<?php endif; wp_reset_postdata(); ?>

						<?php endif; ?>

					</div><!-- /.author__bio -->
				<?php endif; ?>

				<!--
					Previous and Next post section
				-------------------------------------->
				<?php if ( esc_html(get_theme_mod('enable_prev_next_box_setting', true)) == true ): ?>

					<div class="prev_and_next_post__container flx">

						<?php echo get_previous_post_link( '<span class="prev_next__post__link prev">%link</span>', '
							<span class="vissage-icon vissage-angle-left"></span>
							<span class="prev_next__text flx">
								<span>'. esc_html__( 'Older', 'ghost-lite' ) .'</span>
								<strong>%title</strong>
							</span>
							', true, '', 'category' ); ?>

						<?php echo get_next_post_link( '<span class="prev_next__post__link next">%link</span>', '
							<span class="prev_next__text flx">
								<span>'. esc_html__( 'Newer', 'ghost-lite' ) .'</span>
								<strong>%title</strong>
							</span>
							<span class="vissage-icon vissage-angle-right"></span>
							', true, '', 'category' ); ?>

					</div>

				<?php endif; ?>

				<!--
					Recent post section
				-------------------------------------->
				<?php if ( get_theme_mod('enable_recent_post_box_setting', true) == true ): ?>

					<?php
						$this_term_ids = array();
						$have_no_posts = false;

						if ( esc_html(get_theme_mod('choose_recent_post_taxonomy_setting', 'category')) == 'category' ) {
							// categories
							if ( get_the_category() ) {
								foreach( get_the_category() as $category ) $this_term_ids[] = $category->cat_ID;
								$this_term = 'category__in';
								$recent_post_title = esc_html__( 'Latest posts in the same category', 'ghost-lite' );
							} else {
								$have_no_posts = true;
							}
						} else {
							// tags
							if ( get_the_tags() ) {
								foreach( get_the_tags() as $ghost_tag ) $this_term_ids[] = $ghost_tag->term_id;
								$this_term = 'tag__in';
								$recent_post_title = esc_html__( 'Latest posts with the same tag', 'ghost-lite' );
							} else {
								$have_no_posts = true;
							}
						}

						if ( !$have_no_posts ) {
							$recentPosts = new WP_Query( array(
								'posts_per_page'  => esc_html(get_theme_mod('recent_posts_quantity_setting', 2)),
								'post__not_in'    => array( get_the_ID() ),
								'post_status'     => 'publish',
								$this_term        => $this_term_ids
							) );
						}
					?>
					<?php if ( $have_no_posts != true && $recentPosts->have_posts() ): ?>
						<div class="recent__post__container flx">

							<div class="recent__post__heding">
								<?php echo $recent_post_title ?>
							</div>

							<?php while ( $recentPosts->have_posts() ): $recentPosts->the_post(); ?>
								<?php get_template_part( 'template-parts/content', get_post_format() ); ?>
							<?php endwhile; ?>

						</div><!-- /.recent__post__container -->
					<?php endif; wp_reset_postdata(); ?>

				<?php endif; ?>

				<!--
					Comment section
				-------------------------------------->
				<?php
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				?>

			</div><!-- /.article__container -->

			<?php get_sidebar() ?>

		</div><!-- /.main__content__container -->
	</div>
</div><!-- /.blog__loop -->

<?php get_footer() ?>
